Description

When casting Crimson Swath, it does AE damage, decreases the reuse of baroom negotiation to 2 secs (from 15 sec) and increases
the damage substantially. It last for 9.2 secs. Is there a way to code baroom negotiation to immediate recast when crimson swath is
active? If you are fast, you should be able to get 4 casts of baroom negotiation while CS is up (excluding the CS cast)

Right now, | have BN in the post cast section to follow CS, and also at the top of cast order (to get the other recasts while CS is up),
however | wouldn't normally have it there unless CS is active. It is quite uber, even better with double up active.

Note: Double Up seems to double up the damage on baroom negotiation but not CS.

History

#1 - 2017-04-03 06:42 PM - pelly

Just some other complications to mention, if baroom negotiation is already cast prior to CS, then the reuse doesn't revert to 2secs; depending on how
long before it was cast, it could possibly not be up again until after CS duration is up. Changed my brig setup to precast CS rior to BN just to be
ssafe. Double Up and Shadow at top of cast order to increase likelihood they are up when CS cast. All these spells have different recasts (BN 15sec
and 2sec, CS 1 min 40 sec, DU 30 sec and Shadow 1 min). Makes timing a pain if you want to use the shorter duration CA's in between.

#2 - 2017-04-14 11:32 AM - Kannkor

- Status changed from New to Feedback Required

OgreBot 17.144 - Just released. Does this work? | wasn't sure how to implement double up, but you should be able to do that via a post/pre cast so it
fires where you want it too.

#3 - 2017-04-16 10:03 PM - pelly

Kan, nice work. If | understand how you did it, whenever Crimson Swath is cast, it basically casts Baroom repeatedly without any checks. That
should work. ['ll test it in the AM.

I think | have to have Crimson Swath set as a precast to Baroom. The reason is that if Baroom has just been cast when Crimson Swath casts, then
Baroom would not recast until after Crimson Swath's duration is up essentially losing the major benefit of the spell. While Crimson Swath shorten's
Baroom's recast to 2secs, it doesn't effect previous casts of Baroom. | am not sure it is possible, but if there was a way to check if Baroom is waiting
on recast before the Bot casts Crimson Swath, that would be fine. However with your change, | can probably move Baroom to my AE section of the
cast order and keep Crimson Swath as a precast. That should work with your new change. Baroom has a 2sec recast while CS is up so even with a
few frames delay, it still should cast 4 times.

For Shadow and Double Up, they can be handled in pre or post casts. Both have much shorter (and different) reuses speeds so they are a pain to
deal with when trying to time with CS. | think it is a play style decision on how to use those two so it's not worth trying to automate them. | personally
like to use Double Up whenever its up (it basically doubles the damage on all CA's while active, 3 if you get the ability doublecast too). | like to use
shadow a little a little more strategically.
FYI - when | tested on a few TD's manually, its quite a DPS boost when casting Shadow, Double Up, Crimson Swath, and then chaining Baroom with
a few other CA's for 12 sec. If you are interested | can send an ACT dump.

Anyways, much appreciated for the quick turnaround on this.

#4 - 2017-04-17 11:07 AM - pelly

Tested this morning. It works fine!

Using a few TD's, | first tested it with CS as a precast to Baroom and leaving Baroom at the top of the cast order and it baroom cast repeatedly every
2 secs while CS was up. | tested again with Baroom a little lower in the cast order and it worked fine as well. | then tested it with a single TD and it
worked fine as well. Baroom always casts immediately whenever it was available while CS was up.

During the parse, for the 12s secs Crimson Swath & Double Up were active, Baroom alone accounted for 17.5 billion damage (at 21k pot, 310 AM
and 4150 cb) using 8 TD's. Even more when considering its contribution to Shadow. Test was conducted solo with no debuffs or buffs. Only
downside on CS is the long reuse timer (1' 40")

| would recommend changing the release note to recommend people have CS as a precast to Baroom, unless the only intend on using Baroom when
CS is active then Baroom can be a post cast to CS. Again, to avoid CS casting while Baroom is in a cooldown (15 secs).

#5 - 2018-04-06 02:53 PM - Kannkor

- Status changed from Feedback Required to Implemented

2024-04-09 22


http://www.tcpdf.org

